Bug 25521 - NewItemsDefaultLocation description should not mention cart_to_shelf.pl
Summary: NewItemsDefaultLocation description should not mention cart_to_shelf.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-15 20:14 UTC by Andrew Fuerste-Henry
Modified: 2020-11-30 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Large patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.12


Attachments
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref (1.42 KB, patch)
2020-05-15 20:21 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref (1.46 KB, patch)
2020-05-22 13:48 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref (1.52 KB, patch)
2020-05-22 22:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-05-15 20:14:23 UTC
This system preference says "NOTE: This system preference requires the misc/cronjobs/cart_to_shelf.pl cronjob. Ask your system administrator to schedule it."

But this isn't true, you don't need cart_to_shelf running to use the PROC shelving location. If you you want to go from PROC to CART to permanent location then you need cart_to_shelf for that last part, but not for the PROC part.
Comment 1 Andrew Fuerste-Henry 2020-05-15 20:21:34 UTC
Created attachment 104970 [details] [review]
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref

To test:
1- find the NewItemsDefaultLocation syspref
2- confirm it says "NOTE: This system preference requires the misc/cronjobs/cart_to_shelf.pl cronjob. Ask your system administrator to schedule it."
3- apply patch
4- restart all
5- reload syspref, it doesn't say that anymore!
Comment 2 ByWater Sandboxes 2020-05-22 13:48:38 UTC
Created attachment 105269 [details] [review]
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref

To test:
1- find the NewItemsDefaultLocation syspref
2- confirm it says "NOTE: This system preference requires the misc/cronjobs/cart_to_shelf.pl cronjob. Ask your system administrator to schedule it."
3- apply patch
4- restart all
5- reload syspref, it doesn't say that anymore!

Signed-off-by: Holly Cooper <hc@interleaf.ie>
Comment 3 Katrin Fischer 2020-05-22 22:08:11 UTC
Created attachment 105286 [details] [review]
Bug 25521: Remove cart_to_shelf note from NewItemsDefaultLocation syspref

To test:
1- find the NewItemsDefaultLocation syspref
2- confirm it says "NOTE: This system preference requires the misc/cronjobs/cart_to_shelf.pl cronjob. Ask your system administrator to schedule it."
3- apply patch
4- restart all
5- reload syspref, it doesn't say that anymore!

Signed-off-by: Holly Cooper <hc@interleaf.ie>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-06-15 09:59:58 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-06-17 22:22:52 UTC
backported to 20.05.x for 20.05.01
Comment 6 Aleisha Amohia 2020-06-19 03:44:37 UTC
backported to 19.11.x for 19.11.07
Comment 7 Victor Grousset/tuxayo 2020-06-19 04:41:48 UTC
Backported to 19.05.x branch for 19.05.12